Index: branches/SHM-dev/cfg/encoder_intra_main.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_intra_main.cfg	(revision 968)
+++ branches/SHM-dev/cfg/encoder_intra_main.cfg	(revision 990)
@@ -6,10 +6,9 @@
 #Profile                      : main
 NumProfileTierLevel           : 3
-#Profile for the whole bitstream
-Profile0                      : scalable-main        
-#Profile for the base layer --- this will be ignored when BL is not HEVC
-Profile1                      : main
-#Profile for the enhancement layer
-Profile2                      : scalable-main
+Profile0                      : main                # Profile for BL (NOTE01: this profile applies to whole layers but only BL is outputted)
+                                                    #                (NOTE02: this profile has no effect when NonHEVCBase is set to 1)
+Profile1                      : main                # Profile for BL (NOTE01: this profile applies to HEVC BL only)
+                                                    #                (NOTE02: When NonHEVCBase is set to 1, this profile & associated level should be updated appropriately)
+Profile2                      : scalable-main       # Scalable profile
 
 #======== Unit definition ================
Index: branches/SHM-dev/cfg/encoder_intra_main10.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_intra_main10.cfg	(revision 968)
+++ branches/SHM-dev/cfg/encoder_intra_main10.cfg	(revision 990)
@@ -6,10 +6,9 @@
 #Profile                      : main10
 NumProfileTierLevel           : 3
-#Profile for the whole bitstream
-Profile0                      : scalable-main10       
-#Profile for the base layer --- this will be ignored when BL is not HEVC
-Profile1                      : main10
-#Profile for the enhancement layer
-Profile2                      : scalable-main10
+Profile0                      : main10                # Profile for BL (NOTE01: this profile applies to whole layers but only BL is outputted)
+                                                      #                (NOTE02: this profile has no effect when NonHEVCBase is set to 1)
+Profile1                      : main10                # Profile for BL (NOTE01: this profile applies to HEVC BL only)
+                                                      #                (NOTE02: When NonHEVCBase is set to 1, this profile & associated level should be updated appropriately)
+Profile2                      : scalable-main10       # Scalable profile
 
 #======== Unit definition ================
Index: branches/SHM-dev/cfg/encoder_lowdelay_main.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_lowdelay_main.cfg	(revision 968)
+++ branches/SHM-dev/cfg/encoder_lowdelay_main.cfg	(revision 990)
@@ -6,10 +6,9 @@
 #Profile                       : main
 NumProfileTierLevel           : 3
-#Profile for the whole bitstream
-Profile0                      : scalable-main        
-#Profile for the base layer --- this will be ignored when BL is not HEVC
-Profile1                      : main
-#Profile for the enhancement layer
-Profile2                      : scalable-main
+Profile0                      : main                # Profile for BL (NOTE01: this profile applies to whole layers but only BL is outputted)
+                                                    #                (NOTE02: this profile has no effect when NonHEVCBase is set to 1)
+Profile1                      : main                # Profile for BL (NOTE01: this profile applies to HEVC BL only)
+                                                    #                (NOTE02: When NonHEVCBase is set to 1, this profile & associated level should be updated appropriately)
+Profile2                      : scalable-main       # Scalable profile
 
 #======== Unit definition ================
Index: branches/SHM-dev/cfg/encoder_lowdelay_main10.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_lowdelay_main10.cfg	(revision 968)
+++ branches/SHM-dev/cfg/encoder_lowdelay_main10.cfg	(revision 990)
@@ -6,10 +6,9 @@
 #Profile                      : main10
 NumProfileTierLevel           : 3
-#Profile for the whole bitstream
-Profile0                      : scalable-main10
-#Profile for the base layer --- this will be ignored when BL is not HEVC
-Profile1                      : main10
-#Profile for the enhancement layer
-Profile2                      : scalable-main10
+Profile0                      : main10                # Profile for BL (NOTE01: this profile applies to whole layers but only BL is outputted)
+                                                      #                (NOTE02: this profile has no effect when NonHEVCBase is set to 1)
+Profile1                      : main10                # Profile for BL (NOTE01: this profile applies to HEVC BL only)
+                                                      #                (NOTE02: When NonHEVCBase is set to 1, this profile & associated level should be updated appropriately)
+Profile2                      : scalable-main10       # Scalable profile
 
 #======== Unit definition ================
Index: branches/SHM-dev/cfg/encoder_randomaccess_main.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_randomaccess_main.cfg	(revision 968)
+++ branches/SHM-dev/cfg/encoder_randomaccess_main.cfg	(revision 990)
@@ -6,10 +6,9 @@
 #Profile                      : main
 NumProfileTierLevel           : 3
-#Profile for the whole bitstream
-Profile0                      : scalable-main       
-#Profile for the base layer --- this will be ignored when BL is not HEVC
-Profile1                      : main
-#Profile for the enhancement layer
-Profile2                      : scalable-main
+Profile0                      : main                # Profile for BL (NOTE01: this profile applies to whole layers but only BL is outputted)
+                                                    #                (NOTE02: this profile has no effect when NonHEVCBase is set to 1)
+Profile1                      : main                # Profile for BL (NOTE01: this profile applies to HEVC BL only)
+                                                    #                (NOTE02: When NonHEVCBase is set to 1, this profile & associated level should be updated appropriately)
+Profile2                      : scalable-main       # Scalable profile
 
 #======== Unit definition ================
Index: branches/SHM-dev/cfg/encoder_randomaccess_main10.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_randomaccess_main10.cfg	(revision 968)
+++ branches/SHM-dev/cfg/encoder_randomaccess_main10.cfg	(revision 990)
@@ -6,10 +6,9 @@
 #Profile                      : main10
 NumProfileTierLevel           : 3
-#Profile for the whole bitstream
-Profile0                      : scalable-main10       
-#Profile for the base layer --- this will be ignored when BL is not HEVC
-Profile1                      : main10
-#Profile for the enhancement layer
-Profile2                      : scalable-main10
+Profile0                      : main10                # Profile for BL (NOTE01: this profile applies to whole layers but only BL is outputted)
+                                                      #                (NOTE02: this profile has no effect when NonHEVCBase is set to 1)
+Profile1                      : main10                # Profile for BL (NOTE01: this profile applies to HEVC BL only)
+                                                      #                (NOTE02: When NonHEVCBase is set to 1, this profile & associated level should be updated appropriately)
+Profile2                      : scalable-main10       # Scalable profile
 
 #======== Unit definition ================
